/* GENERAL STYLING */

html, body {
    font-family: 'Open Sans', sans-serif;
    overflow-x: hidden;
    height: 100%;
}

body a:link {
    -webkit-tap-highlight-color: transparent;
}

h4 {
    font-size: 1.2rem;
}

a, a:hover {
    color: #2077B4;
}

.epidemix-h1 {
    font-weight: bold;
    color: #2077B4;
    font-size: 3.0rem;
}

.epidemix-h3-alt {
    color: #2077B4;
    font-weight: bold;
    font-size: 1.5rem;
    margin-bottom: 25px;
}

.epidemix-h4 {
    color: #fff;
}

.epidemix-hr {
    border-top: 3px solid #2077B4;
}

.epidemix-button {
    padding: 12px;
    margin: 50px 0;
    background-color: #2077B4;
    border: 1px solid #2077B4;
    border-radius: 50px;
    color: #fff;
    min-width: 50%;
    text-align: center;
    font-size: 1.5rem;
    font-weight: bold;
}

.epidemix-button:hover {
    color: #fff;
    text-decoration: none;
}

.epidemix-button-large {
    font-size: 24px;
    /* font-weight: bold; */
}

.epidemix-smalltext {
    font-size: 10px;
    line-height: 15px;
}


/* HEADER STYLING */

header {
    padding: 10px 4%;
    text-align: center;
    /* background-image: linear-gradient(#fff, #A4D0EF); */
}

header > .row {
    min-height: 70px;
}

.header-img {
    max-height: 64px;
}

.img-small {
    max-height: 40px;
    max-width: 100%;
}

.home .header-img {
    max-height: 64px;
}

.links-container {
    display: flex;
    align-items: center;
}

.links-container > div.row {
    width: 100%;
}

.link-container {
    min-width: 25%;
}

.header-link {
    color: #2077B4;
    font-size: 16px;
}

.header-icon {
    font-size: 36px !important;
}

.header-logo-left {
    float: left;
}

.header-logo-right {
    float: right;
}

.header-logo-right a:nth-child(2) {
    margin: 0 50px;
}

#epidemix-logo {
    max-width: 70%;
}

#epidemix-logo-header {
    /* margin-bottom: 40px; */
}

/* HEADER PAGE CONTENT STYLING */

.header-content-container {
    width: 90%;
}

.header-home-page-content {
    padding: 3% 4%;
    text-align: left;
    background-image: url("../img/home_background.png");
    background-position: center;
    background-size: cover;
}

.header-home-page-content .col-12{
    padding-top: 2%;
    padding-bottom: 2%;
}

.header-page-content {
    margin: auto;
    margin-bottom: 2%;
    padding: 3%;
    background-image: url("../img/subpage_background.png");
    background-position: center;
    background-size: cover;
}

.page-title-container p {
    font-size: 1.2rem;
    line-height: 24px;
}

.version-container{
    padding: 24px 24px 40px;
    border-radius: 20px;
    height: 100%;
    display: flex; 
    flex-direction: column;
    justify-content: space-between;
    color: white;
}

.version-container h2{
    text-align: center;
    font-weight: bold;
    padding-bottom: 0.5rem;
    letter-spacing: .1rem;
}

.version-container ul {
    font-size: 1.05rem;
    line-height: 1.45rem;
    text-align: start;
    padding-left: 24px;
}

.version-container.base{
    background-image: linear-gradient(#3776b2, #1b3b5a);
}

.version-container.plus{
    background-image: linear-gradient(#ed8333, #774219);
}

.version-container .epidemix-button{
    margin: 25px 0 0 0;
    background-color: white;
    border: none;
    font-size: 1.2rem;
    font-weight: bold;
}

.version-container.base .epidemix-button{
    color: #2077b4;
}

.version-container.plus .epidemix-button{
    color: #f67e26;
}

.page-title-container {
    width: 80%;
    margin: auto;
}

/* MAIN CONTENT STYLING */

.main-home-page-content {
    margin: 65px 4%;
}

.main-content-container {
    border: 1px solid #444;
    box-shadow: 0 0 3px #444;
    padding: 2%;
}

.main-link {
    color: #444;
    text-decoration: none;
}

.main-link:hover {
    color: #444;
    text-decoration: none;
}


.main-link-icon {
    height: 65px;
    margin: 20px;
}

/* HOME VIDEO SECTION STYLING */
.video-home-page-content{
    background: #eff4f9;
    padding: 4%;
    padding-bottom: 120px;
}

.video-home-page-content .text{
    flex-direction: column;
    justify-content: center;
    height: 100%;
    font-size: 1rem;
    padding: 1rem;
}

.video-home-page-content .text h3 {
    color: #3776b2;
    font-weight: bold;
}

.video-col{
   padding: 0 2%;
}

.video-home-page-content video{
    border: #3776b2 solid;
    box-sizing: content-box;
}
#epidemix-laptop-container {
    text-align: center;
    position: relative;
    padding-bottom: 56.25%; /* 16:9 */
    height: 0;
}

#epidemix-laptop-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

#epidemix-on-laptop {
    width: 100%;
}

/* FOOTER CONTENT STYLING */

footer {
    color: #fff;
    background-color: #AAAAAA;
    padding: 2% 4%;
    font-size: 20px;
    width: 100%;
}

footer a, footer a:hover {
    color: #fff;
}

footer img {
    margin-bottom: 15px;
}

#footer-nav {
    flex-direction: row;
}

#footer-nav .nav-item {
    padding: 0 10px;
}

#footer-nav li.nav-item:not(:last-child) {
    border-right: solid 1px #fff;
}

#footer-nav .nav-item a {
    color: #fff;
}

#powered-by-logo {
    font-size: 16px;
}

#epi-footer-logo {
    height: 40px;
}

/* PAGE SPECIFIC CONTENT */

.about-contact-content {
    border-top: 3px solid #2077B4;
    padding-top: 10px;
    margin-bottom: 50px;
}

.people-container, .contact-container {
    width: 80%;
    margin: auto;
    font-size: 1rem;
}

.people-container {
    margin-bottom: 30px;
}

.people-details {
    position: relative;
    height: 100%;
}

.people-content {
    margin: 25px 0;
}

.people-text {
    height: 200px;
}

.people-org-img {
    max-width: 90%;
    max-height: 60px;
    position: absolute;
    bottom: 0;
}

.people-img {
    width: 90%;
}

#epi-contact-logo {
    width: 80%;
}

.inrae-logo{
    width: 50%;
}

#epidemix-ref-paper {
    width: 100%;
    margin-top: 50px;
}

.resource-container {
    margin: 50px auto;
    min-height: 60vh;
    width: 80%;
}

.resource-content {
    border-top: 2px solid #CCCCCC;
    padding: 20px 0;
    margin: 0 -15px;
}

.resource-author {
    font-weight: bold;
}

.faq-container {
    margin: 50px auto;
    min-height: 60vh;
    width: 80%;
}

.faq-content {
    border-top: 2px solid #CCCCCC;
    padding: 20px 0;
    margin: 0 -15px;
}

.contact-header {
    margin-bottom: 0px;
}

.contact-contributor-img {
    max-height: 64px;
    max-width: calc(min(250px, 100%));
    margin: 15px 0;
}

/* Misc content rules */

.row.thinner-columns {
    margin: 0 -25px 0 -25px;
}

.row.thinner-columns > * {
    padding: 0 25px 0 25px;
}

.arrow_box {
    position: relative;
    /* background: #88b7d5; */
    border: 3px solid #000;
    margin-bottom: 50px;
}

.arrow_box:after {
    top: 100%;
    left: 50%;
    border: solid rgba(0, 0, 0, 0);
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
    border-top-color: #000;
    border-width: 25px 50px 0 50px;
    margin-left: -50px;
    margin-top: 10px;
}

.arrow_box.green{
    border-color: #2D9F48;
}
.arrow_box.green:after{
    border-top-color: #2D9F48;
}

.arrow_box.orange{
    border-color: #F47E20;
}
.arrow_box.orange:after{
    border-top-color: #F47E20;
}

.arrow_box.blue{
    border-color: #2077B4;
}
.arrow_box.blue:after{
    border-top-color: #2077B4;
}

.arrow_box.red{
    border-color: #D52928;
}
.arrow_box.red:after{
    border-top-color: #D52928;
}

.arrow_box.teal{
    border-color: #00bac7;
}
.arrow_box.teal:after{
    border-top-color: #00bac7;
}

.m-top-50 {
    margin-top: 50px;
}

.m-auto, .m-auto > *  {
    margin: auto;
}

.img-responsive {
    display: block;
    max-width: 100%;
    height: auto;
}


/* Column fifths, link: https://stackoverflow.com/questions/10387740/five-equal-columns-in-twitter-bootstrap */

.col-xs-5ths,
.col-sm-5ths,
.col-md-5ths,
.col-lg-5ths {
    position: relative;
    min-height: 1px;
    padding-right: 15px;
    padding-left: 15px;
}

.col-xs-5ths {
    width: 20%;
    float: left;
}

@media (min-width: 768px) {
    .col-sm-5ths {
        width: 20%;
        float: left;
    }
}

@media (min-width: 992px) {
    .col-md-5ths {
        width: 20%;
        float: left;
    }
}

@media (min-width: 1200px) {
    .col-lg-5ths {
        width: 20%;
        float: left;
    }
}

.header-logo-right .header-img {
	max-width: 90px;
}

.nolimit-w {
    max-width: none !important;
}

.footer-text {
    font-size: 15px;
}

#rvc-logo-home {
    margin-left: 20px;
}

.header-right-vc {
    display: flex;
    align-items: center;
    flex-direction: row-reverse;
}

.footer-img-row {
    height: 40px;
}

.offset-left {
    padding-left: 0;
}

.contact-row {
    width: 100%;
}

.author-text-col {
    padding-left: 0;
}

footer .tac {
    text-align: right;
}

#epi-footer-block {
    margin-left: 50px;
}

.mobile-show {
    display: none;
}

div.ss-htmleditorfield-file.embed {
    width: 100% !important;
}

video {
    width: 100% !important;
}

#contact-header{
    background: #2077B4;
    color: white;
    width: 100%;
    text-align: center;
    padding: 7px;
    font-size: 0.9rem;
}

#contact-header a{
    color: white;
    text-decoration-line: underline;
    text-decoration-color: white;
}